cURL
curl -X GET "https://api.fitsociety.io/public/v1/forms/{formId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/forms/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"form": {
"formId": "66f7b8b1e13c8d25f4d3d90a",
"name": {},
"description": {},
"defaultLanguage": "string",
"formType": "string",
"sectionCount": 1,
"questionCount": 1,
"hasObjectives": true,
"hasMeasurements": true,
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z",
"sections": [
{
"sectionId": "66f7b8b1e13c8d25f4d3d90a",
"title": {},
"description": {},
"questions": [
{
"questionId": "66f7b8b1e13c8d25f4d3d90a",
"name": {},
"type": "string",
"required": true,
"options": [
{
"optionId": "66f7b8b1e13c8d25f4d3d90a",
"label": {}
}
],
"linearScale": {
"startValue": 1,
"endValue": 1,
"startLabel": {},
"endLabel": {}
},
"ratingScale": 1,
"maxFiles": 1,
"order": 1
}
]
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Forms
Get sanitized form detail
Requires forms:read. Returns form sections, questions, defaultLanguage, localized text maps and persisted option IDs. Undeclared internal text uses und; internal options without public identities return optionId: null. Reads do not allocate IDs or select a language. Excludes objectives, medical/nutrition blocks, media URLs, AI metadata, and raw model fields.
GET
/
public
/
v1
/
forms
/
{formId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/forms/{formId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/forms/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"form": {
"formId": "66f7b8b1e13c8d25f4d3d90a",
"name": {},
"description": {},
"defaultLanguage": "string",
"formType": "string",
"sectionCount": 1,
"questionCount": 1,
"hasObjectives": true,
"hasMeasurements": true,
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z",
"sections": [
{
"sectionId": "66f7b8b1e13c8d25f4d3d90a",
"title": {},
"description": {},
"questions": [
{
"questionId": "66f7b8b1e13c8d25f4d3d90a",
"name": {},
"type": "string",
"required": true,
"options": [
{
"optionId": "66f7b8b1e13c8d25f4d3d90a",
"label": {}
}
],
"linearScale": {
"startValue": 1,
"endValue": 1,
"startLabel": {},
"endLabel": {}
},
"ratingScale": 1,
"maxFiles": 1,
"order": 1
}
]
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"